Value Items
Update value item status
Updates status and optional assignee for a value item.
PATCH
/
v1
/
public
/
value-items
/
{id}
/
status
Update value item status
curl --request PATCH \
--url https://api.agile-tools.io/v1/public/value-items/{id}/status \
--header 'Content-Type: application/json' \
--header 'X-API-Key: <api-key>' \
--data '
{
"status": {
"id": "43f1328f-1707-4574-8435-b968ef43f685"
},
"reorderToTop": true
}
'import requests
url = "https://api.agile-tools.io/v1/public/value-items/{id}/status"
payload = {
"status": { "id": "43f1328f-1707-4574-8435-b968ef43f685" },
"reorderToTop": True
}
headers = {
"X-API-Key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {'X-API-Key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({status: {id: '43f1328f-1707-4574-8435-b968ef43f685'}, reorderToTop: true})
};
fetch('https://api.agile-tools.io/v1/public/value-items/{id}/status', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.agile-tools.io/v1/public/value-items/{id}/status",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PATCH",
CURLOPT_POSTFIELDS => json_encode([
'status' => [
'id' => '43f1328f-1707-4574-8435-b968ef43f685'
],
'reorderToTop' => true
]),
CURLOPT_HTTPHEADER => [
"Content-Type: application/json",
"X-API-Key: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.agile-tools.io/v1/public/value-items/{id}/status"
payload := strings.NewReader("{\n \"status\": {\n \"id\": \"43f1328f-1707-4574-8435-b968ef43f685\"\n },\n \"reorderToTop\": true\n}")
req, _ := http.NewRequest("PATCH", url, payload)
req.Header.Add("X-API-Key", "<api-key>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.patch("https://api.agile-tools.io/v1/public/value-items/{id}/status")
.header("X-API-Key", "<api-key>")
.header("Content-Type", "application/json")
.body("{\n \"status\": {\n \"id\": \"43f1328f-1707-4574-8435-b968ef43f685\"\n },\n \"reorderToTop\": true\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.agile-tools.io/v1/public/value-items/{id}/status")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Patch.new(url)
request["X-API-Key"] = '<api-key>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"status\": {\n \"id\": \"43f1328f-1707-4574-8435-b968ef43f685\"\n },\n \"reorderToTop\": true\n}"
response = http.request(request)
puts response.read_body{
"data": {
"id": "2b805de2-e0c1-4722-bf7b-6b07961c9228",
"key": "PP-1",
"title": "Enable portfolio dashboard",
"statusId": "0021c4aa-a57c-4152-82ae-13341660532b",
"statusName": "Backlog",
"valueUnitId": "39ef8f08-88bc-4029-bed9-4249c97d7687",
"valueUnitKey": "PP"
},
"meta": {
"requestId": "170a6584-6d89-4c95-a2ff-22378cb6355d",
"timestamp": "2026-04-22T12:00:00Z"
}
}Authorizations
Owner-typed API key (ORGANIZATION, PERSON, VALUE_UNIT). Manage org-scoped lifecycle with /v1/public-api-keys; cross-org governance is restricted to /v1/sys/public-api-keys.
Path Parameters
Body
application/json
Status update payload.
Response
Value item updated
⌘I
Update value item status
curl --request PATCH \
--url https://api.agile-tools.io/v1/public/value-items/{id}/status \
--header 'Content-Type: application/json' \
--header 'X-API-Key: <api-key>' \
--data '
{
"status": {
"id": "43f1328f-1707-4574-8435-b968ef43f685"
},
"reorderToTop": true
}
'import requests
url = "https://api.agile-tools.io/v1/public/value-items/{id}/status"
payload = {
"status": { "id": "43f1328f-1707-4574-8435-b968ef43f685" },
"reorderToTop": True
}
headers = {
"X-API-Key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {'X-API-Key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({status: {id: '43f1328f-1707-4574-8435-b968ef43f685'}, reorderToTop: true})
};
fetch('https://api.agile-tools.io/v1/public/value-items/{id}/status', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.agile-tools.io/v1/public/value-items/{id}/status",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PATCH",
CURLOPT_POSTFIELDS => json_encode([
'status' => [
'id' => '43f1328f-1707-4574-8435-b968ef43f685'
],
'reorderToTop' => true
]),
CURLOPT_HTTPHEADER => [
"Content-Type: application/json",
"X-API-Key: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.agile-tools.io/v1/public/value-items/{id}/status"
payload := strings.NewReader("{\n \"status\": {\n \"id\": \"43f1328f-1707-4574-8435-b968ef43f685\"\n },\n \"reorderToTop\": true\n}")
req, _ := http.NewRequest("PATCH", url, payload)
req.Header.Add("X-API-Key", "<api-key>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.patch("https://api.agile-tools.io/v1/public/value-items/{id}/status")
.header("X-API-Key", "<api-key>")
.header("Content-Type", "application/json")
.body("{\n \"status\": {\n \"id\": \"43f1328f-1707-4574-8435-b968ef43f685\"\n },\n \"reorderToTop\": true\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.agile-tools.io/v1/public/value-items/{id}/status")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Patch.new(url)
request["X-API-Key"] = '<api-key>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"status\": {\n \"id\": \"43f1328f-1707-4574-8435-b968ef43f685\"\n },\n \"reorderToTop\": true\n}"
response = http.request(request)
puts response.read_body{
"data": {
"id": "2b805de2-e0c1-4722-bf7b-6b07961c9228",
"key": "PP-1",
"title": "Enable portfolio dashboard",
"statusId": "0021c4aa-a57c-4152-82ae-13341660532b",
"statusName": "Backlog",
"valueUnitId": "39ef8f08-88bc-4029-bed9-4249c97d7687",
"valueUnitKey": "PP"
},
"meta": {
"requestId": "170a6584-6d89-4c95-a2ff-22378cb6355d",
"timestamp": "2026-04-22T12:00:00Z"
}
}
